List the specifications that sessions failed in a period
curl --request GET \
--url https://api.galtea.ai/analytics/failing-specifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.galtea.ai/analytics/failing-specifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.galtea.ai/analytics/failing-specifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/analytics/failing-specifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/analytics/failing-specifications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.galtea.ai/analytics/failing-specifications")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/analytics/failing-specifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"receivedCount": 123,
"groups": {
"critical": {
"failedSessionCount": 123,
"evaluatedSessionCount": 123
},
"minor": {
"failedSessionCount": 123,
"evaluatedSessionCount": 123
}
},
"specifications": [
{
"id": "<string>",
"productId": "<string>",
"name": "<string>",
"isCritical": true,
"current": {
"failedSessionCount": 123,
"evaluatedSessionCount": 123
},
"previous": {
"failedSessionCount": 123,
"evaluatedSessionCount": 123
}
}
]
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}List the specifications that sessions failed in a period
The specifications of every product the caller may read that the filters keep that at least one session of the period failed, the highest share of failed sessions first, with the counts of the period of the same length just before it. A session fails a specification when a scored evaluation of a metric linked to it did not pass. Counted over the sessions that GET /analytics/sessions-overview counts.
GET
/
analytics
/
failing-specifications
List the specifications that sessions failed in a period
curl --request GET \
--url https://api.galtea.ai/analytics/failing-specifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.galtea.ai/analytics/failing-specifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.galtea.ai/analytics/failing-specifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/analytics/failing-specifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/analytics/failing-specifications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.galtea.ai/analytics/failing-specifications")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/analytics/failing-specifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"receivedCount": 123,
"groups": {
"critical": {
"failedSessionCount": 123,
"evaluatedSessionCount": 123
},
"minor": {
"failedSessionCount": 123,
"evaluatedSessionCount": 123
}
},
"specifications": [
{
"id": "<string>",
"productId": "<string>",
"name": "<string>",
"isCritical": true,
"current": {
"failedSessionCount": 123,
"evaluatedSessionCount": 123
},
"previous": {
"failedSessionCount": 123,
"evaluatedSessionCount": 123
}
}
]
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}You are reading the docs of Galtea 5.17. Read this page in the latest version.
Authorizations
Query Parameters
Response
The specifications that sessions failed